For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • POSTCancel
LogoLogo
BlogLogin
API Referencecrawls

Cancel

POST
https://api.flockx.io/api/v1/crawls/:id/cancel
POST
/api/v1/crawls/:id/cancel
$curl -X POST https://api.flockx.io/api/v1/crawls/id/cancel \
> -H "Authorization: <apiKey>"
1{
2 "id": "foo",
3 "created": "foo",
4 "modified": "foo",
5 "url": "foo",
6 "scan_depth": 42,
7 "last_scan_date": "foo",
8 "status": "foo",
9 "crawl_stats": {},
10 "crawled_urls": [
11 null
12 ],
13 "website_metadata": {},
14 "error_details": "foo",
15 "is_active": true
16}
Cancel a website scan.
Was this page helpful?
Previous

List

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
idstringformat: "uuid"
createdstringformat: "date-time"
modifiedstringformat: "date-time"
urlstringformat: "uri"1-2083 characters
scan_depthinteger

How deep to crawl. 1 for single page, >1 for recursive

last_scan_datestringformat: "date-time"
statusstring or nullRead-only

Human-readable status label

crawl_statsmap from strings to any
crawled_urlslist of any
website_metadatamap from strings to any
error_detailsstring or null
is_activebooleanDefaults to true

Errors

422
Unprocessable Entity Error